POST /api/v1/send_message_to_thread This API allows the authenticated user to send a message to an existing LinkedIn message thread by providing the thread ID, their own profile ID, and the message content. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API.
To track whether your message receives a reply, see How to Use Track Reply .
Name Type Required x-api-keystringYes x-api-secretstringYes
Request Body Schema accountId string required The unique identifier of the WeLink account.
thread_id string required The unique identifier of the message thread.
message string required The content of the message to be sent.
frequency number Frequency of tracking reply for this message (in hours).
track_reply boolean Boolean to enable reply tracking for this message.
Sample Request { "accountId" : "string" , "thread_id" : "string" , "message" : "string" , "frequency" : 0 , "track_reply" : false } Responses Webhook Events Success Failed Known Errors
Schema thread_id string The unique identifier of the message thread.
message_id string required The unique identifier of the sent message.
sent_at number Timestamp when the message was sent.
Sample Response { "thread_id" : "string" , "message_id" : "string" , "sent_at" : 0 } POST /api/v1/send_message_to_sales_navigator_thread This API allows the authenticated user to send a message to an existing LinkedIn Sales Navigator message thread by providing the thread ID, the recipient's profile ID, and the message content.
To track whether your message receives a reply, see How to Use Track Reply .
Name Type Required x-api-keystringYes x-api-secretstringYes
Request Body Schema accountId string required The unique identifier of the WeLink account.
thread_id string required The unique identifier of the message thread.
message string required The content of the message to be sent.
frequency number Frequency of tracking reply for this message (in hours).
track_reply boolean Boolean to enable reply tracking for this message.
Sample Request { "accountId" : "string" , "thread_id" : "string" , "message" : "string" , "frequency" : 0 , "track_reply" : false } Responses Webhook Events Success Failed Known Errors
Schema thread_id string The unique identifier of the message thread.
message_id string The unique identifier of the sent message.
sent_at number Timestamp when the message was sent.
Sample Response { "thread_id" : "string" , "message_id" : "string" , "sent_at" : 0 } POST /api/v1/recruiter_send_message_to_thread_id Sends a message to a candidate in an existing thread. Requires both the thread ID and profile ID along with authentication credentials.
LinkedIn doesn't allow two concurrent sessions on a recruiter plan.
Name Type Required x-api-keystringYes x-api-secretstringYes
Request Body Schema profile_id string required The unique identifier of the LinkedIn profile.
thread_id string required The unique identifier of the message thread.
contract_id string required The contract identifier for Recruiter accounts.
message string required The content of the message to be sent.
subject string The subject line of the message (if applicable).
seat_id string required Seat identifier for recruiter accounts.
Sample Request { "profile_id" : "string" , "thread_id" : "string" , "contract_id" : "string" , "message" : "string" , "subject" : "string" , "seat_id" : "string" } Responses Webhook Events Success Failed Known Errors
Schema status string Status indicating the request completed successfully (e.g. "SUCCESS").
result object The response payload. message string A descriptive message.
Sample Response { "status" : "string" , "result" : { "message" : "string" } }